<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

class TierFactory extends Factory
{
    public function definition(): array
    {
        return [
            'name' => $this->faker->name(),
            'min_points' => $this->faker->randomNumber(),
            'max_points' => $this->faker->optional()->randomNumber(),
        ];
    }
}
